/*
COLOR PALETTE
https://coolors.co/f7fff7-343434-2f3061-ffe66d-a1c6d7
#F7FFF7 - almost white
#343434 - dark gray - almost black
#2F3061 - blue dark
#FFE66D - yellow
#A1C6D7 - blue light
*/

/* Color Variables 
---------------------------------*/

:root {
    --almost_white: #F7FFF7;
    --dark_gray: #343434;
    --dark_blue: #2F3061;
    --yellow: #FFE66D;
    --light_blue: #A1C6D7;
  }

/* Global Styles
---------------------------------*/

html {
    box-sizing: border-box;
}

*, *:before, *:after {
    box-sizing: inherit;
}

body{
    color: var(--dark_gray);
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', sans-serif;
    font-size: 15px;
    line-height: 1.5;
}

img {
    width: 300px;
    height: 210px;
}

a {
    color: var(--yellow)
}

a:hover {
    text-decoration: none;
}
h1 {
    font-size: 100px;
    line-height: 1;
}

h1, h2 {
    font-family: 'Caveat', cursive;
    font-weight: 400;
    margin: 0;
}

h2 {
    font-size: 42px;
}
.content-wrap {
    max-width: 800px;
    width: 85%;
    margin: 0 auto;
    padding: 60px 0;
}

h3 {
    margin-bottom: 0;
}

.item-details h3 + p {
    font-style: italic;
}

.item-details h3 ~ p {
    margin: 0;
}

.divider > section {
    border-bottom: 1px dashed var(--dark_gray);
    padding: 25px 0;
}

.divider > section:last-of-type {
    border-bottom-style: none;
}

/* Profile
---------------------------------*/
header {
    background-color: var(--dark_blue);
    color: var(--almost_white);
}

/* Projects
---------------------------------*/
.projects {
    background: var(--almost_white);
}

.projects .btn {
    color: var(--almost_white);
    background: var(--dark_blue);
    text-decoration: none;
    padding: 8px;
    margin: 5px;
    border-radius: 4px;
    display: inline-block;
}

.projects .btn:hover {
    background: rgba(47, 48, 97, 80%);
  }

.project-item {
    overflow: hidden;
}

.project-item h3 {
    margin-top: 0;
}

.project-item h3 ~ p {
    margin: 0;
}

.project-item a {
    margin: 10px;
    color: var(--dark_blue);
}


/* Work Experiance
---------------------------------*/
.work-experiance {
    background: var(--light_blue);
}

/* Education
---------------------------------*/
.education {
    background-image: url("../images/sharon-mccutcheon-unsplash.jpg");
    background-size: cover;
    background-position: top right;
    padding-bottom: 100px;
}

.education p {
    width: 98%;
}
/* Contact Info
---------------------------------*/
footer {
    background-color: var(--dark_gray);
}

footer h2 {
    color: var(--almost_white);
}

.contact-list {
    list-style-type: none;
    padding: 0;
}

.contact-list a {
    padding: 15px;
    display: inline-block;
}

/* Responsive design 
***********************************/
@media screen and (min-width: 930px){
    .project-item img {
        float: left;
        margin-right: 20px;
    }

   
}

@media screen and (min-width: 750px){
 
.job-item {
    display: grid;
    grid-template-columns: 1fr 2fr;
    column-gap: 20px;
}

.contact-list {
    display: flex;
    justify-content: center;
}

header, footer {
    text-align: center;
}
    
}

@media screen and (max-width: 749px){

    h1 {
        font-size: 75px;
        line-height: 0.9;
        margin-bottom: 20px;
    }

    h2 {
        line-height: 1;
    }

    .contact-list a {
        padding: 5px;
    }

}